=== tests/auto/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


add_subdirectory(benchmarks)
if(NOT (WIN32 AND CMAKE_CROSSCOMPILING))
    add_subdirectory(cmake)
endif()
add_subdirectory(modelreplica)
add_subdirectory(modelview)
add_subdirectory(pods)
add_subdirectory(proxy)
if(NOT CMAKE_CROSSCOMPILING)
    add_subdirectory(rep_from_header)
endif()
add_subdirectory(repc)
add_subdirectory(repcodegenerator)
add_subdirectory(repcinlib)
add_subdirectory(repparser)
add_subdirectory(subclassreplica)
if(QT_FEATURE_ssl)
    add_subdirectory(external_IODevice)
endif()
if(TARGET Qt::Qml)
    add_subdirectory(qml)
endif()
if(QT_FEATURE_process)
    add_subdirectory(integration_multiprocess)
    add_subdirectory(proxy_multiprocess)
    add_subdirectory(integration_external)
    add_subdirectory(restart)
    add_subdirectory(reconnect)
endif()
add_subdirectory(localsockettestserver)
add_subdirectory(integration)
add_subdirectory(localserveroption)
