=== debian/changelog ===
qt6-remoteobjects (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Nov 2025 10:20:03 +0100

qt6-remoteobjects (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 21:06:56 +0200

qt6-remoteobjects (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.
  * Update ABI to 6.9.2.
  * Add qt6-websockets-dev to the B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Sep 2025 19:38:53 +0200
