=== debian/control ===
Source: qt6-remoteobjects
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.10.0~),
               qt6-connectivity-dev (>= 6.10.0~),
               qt6-declarative-dev (>= 6.10.0~),
               qt6-websockets-dev (>= 6.10.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-tools (>= 6.10~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-remoteobjects.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-remoteobjects
Maintainer: Neon CI <neon@kde.org>

Package: qt6-remoteobjects
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base,
         qt6-connectivity,
         qt6-declarative,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libqt6remoteobjects6,
          libqt6remoteobjects6-bin,
          libqt6remoteobjectsqml6,
          qml6-module-qtremoteobjects
Description: Qt 6 Remote Objects library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 This package contains the shared library for Qt Remote Objects.

Package: qt6-remoteobjects-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev, qt6-remoteobjects, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-remoteobjects-doc-dev, qt6-remoteobjects-examples
Description: Qt 6 Remote Objects - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 This package contains the development files for Qt Remote Objects.

Package: qt6-remoteobjects-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc,
         qt6-remoteobjects-dev (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-remoteobjects-doc-html
Description: Qt 6 Remote Objects - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 This package contains the documentation files for Qt Remote Objects.

Package: libqt6remoteobjects6
Architecture: all
Depends: qt6-remoteobjects, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6remoteobjectsqml6
Architecture: all
Depends: qt6-remoteobjects, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6remoteobjects6-bin
Architecture: all
Depends: qt6-remoteobjects, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtremoteobjects
Architecture: all
Depends: qt6-remoteobjects, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-remoteobjects-doc-dev
Architecture: all
Depends: qt6-remoteobjects-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-remoteobjects-doc-html
Architecture: all
Depends: qt6-remoteobjects-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-remoteobjects-examples
Architecture: all
Depends: qt6-remoteobjects-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
