=== debian/rules ===
--- 
+++ 
@@ -1,29 +1,29 @@
 #!/usr/bin/make -f
+#export DH_VERBOSE = 1
 
+# Use already defined DEB_HOST_* variables.
 include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 
 # QT_HOST_PATH isn't passed in cross-builds
 ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
-	extra_cmake_args += \
+	cmake_extra_args += \
 		-DQT_HOST_PATH=/usr \
 		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake \
-		-DQT_FORCE_BUILD_TOOLS=ON
-endif
-
-# enable ccache with corresponding build-profile
-ifneq ($(filter ccache,$(DEB_BUILD_PROFILES)),)
-	extra_cmake_args += -DQT_USE_CCACHE=ON
+		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
 endif
 
 %:
-	dh $@ --buildsystem=cmake+ninja
+	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--log-level=STATUS \
+		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
+		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
+		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
+		-DQT_UNITY_BUILD=ON \
 		$(extra_cmake_args)
 
 override_dh_auto_build-indep:
