## qt6-remoteobjects 6.10.2

=== debian/changelog ===
qt6-remoteobjects (6.10.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * New binary package qt6-remoteobjects-private-dev.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 11 Feb 2026 22:02:54 +0100

qt6-remoteobjects (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Remove the private headers from being installed.
  * Update d/watch to format version 5.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Fri, 06 Feb 2026 19:00:51 +0100
