=== debian/control ===
Source: qt6-remoteobjects
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
               qt6-connectivity-dev (>= 6.10.2~) [linux-any],
               qt6-declarative-dev (>= 6.10.2+dfsg~),
               qt6-declarative-private-dev (>= 6.10.2+dfsg~),
               qt6-remoteobjects-dev:native <cross>,
               qt6-websockets-dev (>= 6.10.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-documentation-tools (>= 6.10~) <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-remoteobjects
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-remoteobjects.git

Package: libqt6remoteobjects6
Provides: qt6-remoteobjects-private-abi (= 6.10.2),
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Remote Objects library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 This package contains the shared library for Qt Remote Objects.

Package: libqt6remoteobjects6-bin
Architecture: any
Section: utils
Multi-Arch: foreign
Depends: libqt6remoteobjects6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Remote Objects - the Replica Compiler (repc)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 The Replica Compiler (repc) generates QObject header files based on an API
 definition file.

Package: qml6-module-qtremoteobjects
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Breaks: libqt6remoteobjectsqml6,
Replaces: libqt6remoteobjectsqml6,
Description: Qt 6 Remote Objects QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 This package provides the QML module for Qt Remote Objects.

Package: qt6-remoteobjects-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6remoteobjects6 (= ${binary:Version}),
         libqt6remoteobjects6-bin (= ${binary:Version}),
         qml6-module-qtremoteobjects (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Remote Objects - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 This package contains the development files for Qt Remote Objects.

Package: qt6-remoteobjects-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-remoteobjects-dev (= ${binary:Version}), ${misc:Depends},
Description: Qt 6 Remote Objects - private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private development header files needed
 to build Qt applications using the Qt 6 Remote Objects library.
 .
 Use at your own risk.

Package: qt6-remoteobjects-doc
Architecture: all
Section: doc
Depends: qt6-base-doc,
         ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 remote objects documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 remote objects.

Package: qt6-remoteobjects-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html,
         ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 remote objects HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 remote objects.

Package: qt6-remoteobjects-doc-dev
Architecture: all
Section: libdevel
Depends: qt6-base-doc-dev,
         ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 remoteobjects tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the qt remote objects
 documentation.

Package: qt6-remoteobjects-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt 6 remote objects examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt remote objects submodule.
